
_Timer1_Interrupt:
	PUSH	DSWPAG
	PUSH	50
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;dsPIC33EP_CAN.c,25 :: 		void Timer1_Interrupt() iv IVT_ADDR_T1INTERRUPT ics ICS_AUTO
;dsPIC33EP_CAN.c,27 :: 		TimerInterruptCount ++;    // Increment interrupt counter
	MOV.B	#1, W1
	MOV	#lo_addr(_TimerInterruptCount), W0
	ADD.B	W1, [W0], [W0]
;dsPIC33EP_CAN.c,28 :: 		IFS0bits.T1IF = 0;         // Clear Interrupt Flag
	BCLR	IFS0bits, #3
;dsPIC33EP_CAN.c,29 :: 		}
L_end_Timer1_Interrupt:
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	POP	50
	POP	DSWPAG
	RETFIE
; end of _Timer1_Interrupt

_CAN1_Interrupt:
	PUSH	DSWPAG
	PUSH	50
	PUSH	RCOUNT
	PUSH	W0
	MOV	#2, W0
	REPEAT	#12
	PUSH	[W0++]

;dsPIC33EP_CAN.c,34 :: 		void CAN1_Interrupt() iv IVT_ADDR_C1INTERRUPT ics ICS_AUTO
;dsPIC33EP_CAN.c,36 :: 		IFS2bits.C1IF = 0;       // clear ECAN interrupt flag
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	BCLR	IFS2bits, #3
;dsPIC33EP_CAN.c,37 :: 		if(C1INTFbits.TBIF)
	BTSS	C1INTFbits, #0
	GOTO	L_CAN1_Interrupt0
;dsPIC33EP_CAN.c,39 :: 		C1INTFbits.TBIF = 0;   // if yes clear tx interrupt flag
	BCLR	C1INTFbits, #0
;dsPIC33EP_CAN.c,40 :: 		LATD.B5 ^=1;
	BTG	LATD, #5
;dsPIC33EP_CAN.c,46 :: 		}
L_CAN1_Interrupt0:
;dsPIC33EP_CAN.c,48 :: 		if(C1INTFbits.RBIF)
	BTSS	C1INTFbits, #1
	GOTO	L_CAN1_Interrupt1
;dsPIC33EP_CAN.c,50 :: 		C1INTFbits.RBIF = 0;   // if yes clear rx interrupt flag
	BCLR	C1INTFbits, #1
;dsPIC33EP_CAN.c,51 :: 		Msg_Rcvd = ECAN1Read(&RxID,RxData,&RxDataLen,&Can_Rcv_Flags);
	MOV	#lo_addr(_Can_Rcv_Flags), W13
	MOV	#lo_addr(_RxDataLen), W12
	MOV	#lo_addr(_RxData), W11
	MOV	#lo_addr(_RxID), W10
	CALL	_ECAN1Read
	MOV	#lo_addr(_Msg_Rcvd), W1
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,52 :: 		if(Msg_Rcvd!=0)
	CP.B	W0, #0
	BRA NZ	L__CAN1_Interrupt16
	GOTO	L_CAN1_Interrupt2
L__CAN1_Interrupt16:
;dsPIC33EP_CAN.c,54 :: 		switch (RxID)
	GOTO	L_CAN1_Interrupt3
;dsPIC33EP_CAN.c,56 :: 		case 0x200 :
L_CAN1_Interrupt5:
;dsPIC33EP_CAN.c,57 :: 		LATD.B2 ^=1;   // Blink Led RD2
	BTG	LATD, #2
;dsPIC33EP_CAN.c,58 :: 		break;
	GOTO	L_CAN1_Interrupt4
;dsPIC33EP_CAN.c,59 :: 		case 0x311:
L_CAN1_Interrupt6:
;dsPIC33EP_CAN.c,60 :: 		LATD.B3 ^=1;  // Blink Led RD3
	BTG	LATD, #3
;dsPIC33EP_CAN.c,61 :: 		break;
	GOTO	L_CAN1_Interrupt4
;dsPIC33EP_CAN.c,62 :: 		case 0x420 :
L_CAN1_Interrupt7:
;dsPIC33EP_CAN.c,63 :: 		LATD.B4 ^=1;  // Blink Led RD4
	BTG	LATD, #4
;dsPIC33EP_CAN.c,64 :: 		break;
	GOTO	L_CAN1_Interrupt4
;dsPIC33EP_CAN.c,66 :: 		}// end switch case
L_CAN1_Interrupt3:
	MOV	#512, W1
	MOV	#0, W2
	MOV	#lo_addr(_RxID), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__CAN1_Interrupt17
	GOTO	L_CAN1_Interrupt5
L__CAN1_Interrupt17:
	MOV	#785, W1
	MOV	#0, W2
	MOV	#lo_addr(_RxID), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__CAN1_Interrupt18
	GOTO	L_CAN1_Interrupt6
L__CAN1_Interrupt18:
	MOV	#1056, W1
	MOV	#0, W2
	MOV	#lo_addr(_RxID), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__CAN1_Interrupt19
	GOTO	L_CAN1_Interrupt7
L__CAN1_Interrupt19:
L_CAN1_Interrupt4:
;dsPIC33EP_CAN.c,67 :: 		}
L_CAN1_Interrupt2:
;dsPIC33EP_CAN.c,68 :: 		}
L_CAN1_Interrupt1:
;dsPIC33EP_CAN.c,69 :: 		}
L_end_CAN1_Interrupt:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	MOV	#26, W0
	REPEAT	#12
	POP	[W0--]
	POP	W0
	POP	RCOUNT
	POP	50
	POP	DSWPAG
	RETFIE
; end of _CAN1_Interrupt

_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 50
	MOV	#4, W0
	IOR	68

;dsPIC33EP_CAN.c,73 :: 		void main()
;dsPIC33EP_CAN.c,79 :: 		PLLFBD = 68;              /* M=70 */
	PUSH	W10
	MOV	#68, W0
	MOV	WREG, PLLFBD
;dsPIC33EP_CAN.c,80 :: 		CLKDIVbits.PLLPOST = 0;   /* N1=2 */
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	[W0], W1
	MOV.B	#63, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_CAN.c,81 :: 		CLKDIVbits.PLLPRE = 0;    /* N2=2 */
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	[W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	W1, [W0]
;dsPIC33EP_CAN.c,82 :: 		OSCTUN = 0;               /* Tune FRC oscillator, if FRC is used */
	CLR	OSCTUN
;dsPIC33EP_CAN.c,86 :: 		mcu_Init();
	CALL	_mcu_Init
;dsPIC33EP_CAN.c,90 :: 		CAN_Init();
	CALL	_CAN_Init
;dsPIC33EP_CAN.c,94 :: 		ADC1_Init();
	CALL	_ADC1_Init
;dsPIC33EP_CAN.c,99 :: 		while(1)
L_main8:
;dsPIC33EP_CAN.c,101 :: 		LATD.B1 ^=1;  // Blink Led RD1
	BTG	LATD, #1
;dsPIC33EP_CAN.c,102 :: 		TemperatureRaw = ADC1_Get_Sample(0);  // read LM35 Voltage
	CLR	W10
	CALL	_ADC1_Get_Sample
	MOV	W0, _TemperatureRaw
;dsPIC33EP_CAN.c,103 :: 		CanWrite();   // Write CAN messages
	CALL	_CanWrite
;dsPIC33EP_CAN.c,104 :: 		Delay_ms(50); // Wait for next CAN cycle time
	MOV	#11, W8
	MOV	#44645, W7
L_main10:
	DEC	W7
	BRA NZ	L_main10
	DEC	W8
	BRA NZ	L_main10
	NOP
	NOP
	NOP
	NOP
;dsPIC33EP_CAN.c,106 :: 		}
	GOTO	L_main8
;dsPIC33EP_CAN.c,107 :: 		}
L_end_main:
	POP	W10
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main

_CanWrite:

;dsPIC33EP_CAN.c,109 :: 		void CanWrite()
;dsPIC33EP_CAN.c,111 :: 		TxData[0] = (TemperatureRaw & 0xFF); // send LM35 Voltage over CAN
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	_TemperatureRaw, W2
	MOV.B	#255, W1
	MOV	#lo_addr(_TxData), W0
	AND.B	W2, W1, [W0]
;dsPIC33EP_CAN.c,112 :: 		TxData[1] = (TemperatureRaw >> 8);
	MOV	_TemperatureRaw, W0
	LSR	W0, #8, W1
	MOV	#lo_addr(_TxData+1), W0
	MOV.B	W1, [W0]
;dsPIC33EP_CAN.c,113 :: 		TxData[2] = 0;
	MOV	#lo_addr(_TxData+2), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,114 :: 		TxData[3] = 0;
	MOV	#lo_addr(_TxData+3), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,115 :: 		TxData[4] = 0;
	MOV	#lo_addr(_TxData+4), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,116 :: 		TxData[5] = 0;
	MOV	#lo_addr(_TxData+5), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,117 :: 		TxData[6] = 0;
	MOV	#lo_addr(_TxData+6), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,118 :: 		TxData[7] = 0;
	MOV	#lo_addr(_TxData+7), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,119 :: 		TxDataLen = 8;
	MOV	#8, W0
	MOV	W0, _TxDataLen
;dsPIC33EP_CAN.c,120 :: 		TxID = 0x210;
	MOV	#528, W0
	MOV	#0, W1
	MOV	W0, _TxID
	MOV	W1, _TxID+2
;dsPIC33EP_CAN.c,121 :: 		ECAN1Write(TxID,TxData,TxDataLen,Can_Send_Flags);
	MOV	#8, W13
	MOV	#lo_addr(_TxData), W12
	MOV	#528, W10
	MOV	#0, W11
	PUSH	_Can_Send_Flags
	CALL	_ECAN1Write
	SUB	#2, W15
;dsPIC33EP_CAN.c,123 :: 		TxData[0] = (0);
	MOV	#lo_addr(_TxData), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,124 :: 		TxData[1] = (0);
	MOV	#lo_addr(_TxData+1), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,125 :: 		TxData[2] = 0;
	MOV	#lo_addr(_TxData+2), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,126 :: 		TxData[3] = 0;
	MOV	#lo_addr(_TxData+3), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,127 :: 		TxData[4] = 0;
	MOV	#lo_addr(_TxData+4), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,128 :: 		TxData[5] = 0;
	MOV	#lo_addr(_TxData+5), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,129 :: 		TxData[6] = 0;
	MOV	#lo_addr(_TxData+6), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,130 :: 		TxData[7] = 0;
	MOV	#lo_addr(_TxData+7), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,131 :: 		TxDataLen = 8;
	MOV	#8, W0
	MOV	W0, _TxDataLen
;dsPIC33EP_CAN.c,132 :: 		TxID = 0x211;
	MOV	#529, W0
	MOV	#0, W1
	MOV	W0, _TxID
	MOV	W1, _TxID+2
;dsPIC33EP_CAN.c,133 :: 		ECAN1Write(TxID,TxData,TxDataLen,Can_Send_Flags);
	MOV	#8, W13
	MOV	#lo_addr(_TxData), W12
	MOV	#529, W10
	MOV	#0, W11
	PUSH	_Can_Send_Flags
	CALL	_ECAN1Write
	SUB	#2, W15
;dsPIC33EP_CAN.c,134 :: 		}
L_end_CanWrite:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _CanWrite

_Delay_ms:

;dsPIC33EP_CAN.c,138 :: 		void Delay_ms (unsigned int delay)
;dsPIC33EP_CAN.c,140 :: 		TimerInterruptCount = 0;  // Clear Interrupt counter flag
	MOV	#lo_addr(_TimerInterruptCount), W1
	CLR	W0
	MOV.B	W0, [W1]
;dsPIC33EP_CAN.c,141 :: 		T1CONbits.TCKPS0 = 1;
	BSET	T1CONbits, #4
;dsPIC33EP_CAN.c,142 :: 		T1CONbits.TCKPS1 = 0;     // Prescaler = 01 = 8
	BCLR	T1CONbits, #5
;dsPIC33EP_CAN.c,143 :: 		PR1 = 0x22E1;             // (1ms/112nSec) = 8929 = 0x22E1
	MOV	#8929, W0
	MOV	WREG, PR1
;dsPIC33EP_CAN.c,144 :: 		IPC0bits.T1IP = 4;        // Set Interrupt Priority lower then ADC
	MOV	#16384, W0
	MOV	W0, W1
	MOV	#lo_addr(IPC0bits), W0
	XOR	W1, [W0], W1
	MOV	#28672, W0
	AND	W1, W0, W1
	MOV	#lo_addr(IPC0bits), W0
	XOR	W1, [W0], W1
	MOV	W1, IPC0bits
;dsPIC33EP_CAN.c,145 :: 		IEC0bits.T1IE = 1;        // Enable Timer1 interrupts
	BSET	IEC0bits, #3
;dsPIC33EP_CAN.c,146 :: 		T1CONbits.TON = 1;        // Enable Timer1
	BSET	T1CONbits, #15
;dsPIC33EP_CAN.c,148 :: 		while (TimerInterruptCount < delay);//Wait for Interrupt counts to equal delay
L_Delay_ms12:
	MOV	#lo_addr(_TimerInterruptCount), W0
	ZE	[W0], W0
	CP	W0, W10
	BRA LTU	L__Delay_ms24
	GOTO	L_Delay_ms13
L__Delay_ms24:
	GOTO	L_Delay_ms12
L_Delay_ms13:
;dsPIC33EP_CAN.c,149 :: 		T1CONbits.TON = 0;                  // Disable the Timer
	BCLR	T1CONbits, #15
;dsPIC33EP_CAN.c,150 :: 		}
L_end_Delay_ms:
	RETURN
; end of _Delay_ms

_mcu_Init:

;dsPIC33EP_CAN.c,152 :: 		void mcu_Init()
;dsPIC33EP_CAN.c,154 :: 		TRISD = 0;
	CLR	TRISD
;dsPIC33EP_CAN.c,155 :: 		LATD = 0;
	CLR	LATD
;dsPIC33EP_CAN.c,156 :: 		}
L_end_mcu_Init:
	RETURN
; end of _mcu_Init

_CAN_Init:

;dsPIC33EP_CAN.c,158 :: 		void CAN_Init()
;dsPIC33EP_CAN.c,168 :: 		ANSELA = 0x00;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	CLR	ANSELA
;dsPIC33EP_CAN.c,169 :: 		ANSELB = 0x01;
	MOV	#1, W0
	MOV	WREG, ANSELB
;dsPIC33EP_CAN.c,170 :: 		ANSELC = 0x00;
	CLR	ANSELC
;dsPIC33EP_CAN.c,171 :: 		ANSELD = 0x00;
	CLR	ANSELD
;dsPIC33EP_CAN.c,172 :: 		ANSELE = 0x00;
	CLR	ANSELE
;dsPIC33EP_CAN.c,173 :: 		ANSELG = 0x00;
	CLR	ANSELG
;dsPIC33EP_CAN.c,177 :: 		Unlock_IOLOCK();
	CALL	_Unlock_IOLOCK
;dsPIC33EP_CAN.c,178 :: 		PPS_Mapping_NoLock(113,_OUTPUT,_C1TX); //RG1
	MOV.B	#14, W12
	CLR	W11
	MOV.B	#113, W10
	CALL	_PPS_Mapping_NoLock
;dsPIC33EP_CAN.c,179 :: 		PPS_Mapping_NoLock(112,_INPUT,_C1RX);  //RG0
	MOV.B	#45, W12
	MOV.B	#1, W11
	MOV.B	#112, W10
	CALL	_PPS_Mapping_NoLock
;dsPIC33EP_CAN.c,180 :: 		Lock_IOLOCK();
	CALL	_Lock_IOLOCK
;dsPIC33EP_CAN.c,182 :: 		IFS0 = 0;
	CLR	IFS0
;dsPIC33EP_CAN.c,183 :: 		IFS1 = 0;
	CLR	IFS1
;dsPIC33EP_CAN.c,184 :: 		IFS2 = 0;
	CLR	IFS2
;dsPIC33EP_CAN.c,185 :: 		IFS3 = 0;
	CLR	IFS3
;dsPIC33EP_CAN.c,186 :: 		IFS4 = 0;
	CLR	IFS4
;dsPIC33EP_CAN.c,190 :: 		IEC2bits.C1IE   = 1;        // enable ECAN1 interrupts
	BSET	IEC2bits, #3
;dsPIC33EP_CAN.c,191 :: 		C1INTEbits.TBIE = 1;        // enable ECAN1 tx interrupt
	BSET.B	C1INTEbits, #0
;dsPIC33EP_CAN.c,192 :: 		C1INTEbits.RBIE = 1;        // enable ECAN1 rx interrupt
	BSET.B	C1INTEbits, #1
;dsPIC33EP_CAN.c,193 :: 		Can_Init_Flags = 0;         //
	CLR	W0
	MOV	W0, _Can_Init_Flags
;dsPIC33EP_CAN.c,194 :: 		Can_Send_Flags = 0;         // clear flags
	CLR	W0
	MOV	W0, _Can_Send_Flags
;dsPIC33EP_CAN.c,195 :: 		Can_Rcv_Flags  = 0;         //
	CLR	W0
	MOV	W0, _Can_Rcv_Flags
;dsPIC33EP_CAN.c,199 :: 		_ECAN_TX_NO_RTR_FRAME;
	MOV	#252, W0
	MOV	W0, _Can_Send_Flags
;dsPIC33EP_CAN.c,205 :: 		_ECAN_CONFIG_LINE_FILTER_OFF;
	MOV	#249, W0
	MOV	W0, _Can_Init_Flags
;dsPIC33EP_CAN.c,208 :: 		ECAN1DmaChannelInit(0,1,&ECAN1RxTxRAMBuffer);  // init dma channel 0 for
	MOV	#16384, W12
	MOV	#0, W13
	MOV	#1, W11
	CLR	W10
	CALL	_ECAN1DmaChannelInit
;dsPIC33EP_CAN.c,210 :: 		ECAN1DmaChannelInit(2,0,&ECAN1RxTxRAMBuffer);  // init dma channel 2 for
	MOV	#16384, W12
	MOV	#0, W13
	CLR	W11
	MOV	#2, W10
	CALL	_ECAN1DmaChannelInit
;dsPIC33EP_CAN.c,214 :: 		ECAN1Initialize(SJW,BRP,PHSEG1,PHSEG2,PROPSEG,Can_Init_Flags);
	MOV	#2, W13
	MOV	#1, W12
	MOV	#14, W11
	MOV	#1, W10
	PUSH	_Can_Init_Flags
	MOV	#6, W0
	PUSH	W0
	CALL	_ECAN1Initialize
	SUB	#4, W15
;dsPIC33EP_CAN.c,215 :: 		ECAN1SetBufferSize(ECAN1RAMBUFFERSIZE);          // set number of rx+tx buffers in DMA RAM
	MOV	#16, W10
	CALL	_ECAN1SetBufferSize
;dsPIC33EP_CAN.c,217 :: 		ECAN1SelectTxBuffers(0x000F);                    // select transmit buffers
	MOV	#15, W10
	CALL	_ECAN1SelectTxBuffers
;dsPIC33EP_CAN.c,219 :: 		ECAN1SetOperationMode(_ECAN_MODE_CONFIG,0xFF);   // set CONFIGURATION mode
	MOV	#255, W11
	MOV	#4, W10
	CALL	_ECAN1SetOperationMode
;dsPIC33EP_CAN.c,221 :: 		ECAN1SetMask(_ECAN_MASK_0, -1, _ECAN_CONFIG_MATCH_MSG_TYPE & _ECAN_CONFIG_STD_MSG);  // set all mask1 bits to ones
	MOV	#255, W13
	MOV	#65535, W11
	MOV	#65535, W12
	CLR	W10
	CALL	_ECAN1SetMask
;dsPIC33EP_CAN.c,222 :: 		ECAN1SetMask(_ECAN_MASK_1, -1, _ECAN_CONFIG_MATCH_MSG_TYPE & _ECAN_CONFIG_STD_MSG);  // set all mask2 bits to ones
	MOV	#255, W13
	MOV	#65535, W11
	MOV	#65535, W12
	MOV	#1, W10
	CALL	_ECAN1SetMask
;dsPIC33EP_CAN.c,223 :: 		ECAN1SetMask(_ECAN_MASK_2, -1, _ECAN_CONFIG_MATCH_MSG_TYPE & _ECAN_CONFIG_STD_MSG);  // set all mask3 bits to ones
	MOV	#255, W13
	MOV	#65535, W11
	MOV	#65535, W12
	MOV	#2, W10
	CALL	_ECAN1SetMask
;dsPIC33EP_CAN.c,225 :: 		ECAN1SetFilter(_ECAN_FILTER_1,0x200,_ECAN_MASK_1,_ECAN_RX_BUFFER_7,_ECAN_CONFIG_STD_MSG);
	MOV	#1, W13
	MOV	#512, W11
	MOV	#0, W12
	MOV	#1, W10
	MOV	#255, W0
	PUSH	W0
	MOV	#7, W0
	PUSH	W0
	CALL	_ECAN1SetFilter
	SUB	#4, W15
;dsPIC33EP_CAN.c,226 :: 		ECAN1SetFilter(_ECAN_FILTER_2,0x311,_ECAN_MASK_1,_ECAN_RX_BUFFER_8,_ECAN_CONFIG_STD_MSG);
	MOV	#1, W13
	MOV	#785, W11
	MOV	#0, W12
	MOV	#2, W10
	MOV	#255, W0
	PUSH	W0
	MOV	#8, W0
	PUSH	W0
	CALL	_ECAN1SetFilter
	SUB	#4, W15
;dsPIC33EP_CAN.c,227 :: 		ECAN1SetFilter(_ECAN_FILTER_3,0x420,_ECAN_MASK_1,_ECAN_RX_BUFFER_9,_ECAN_CONFIG_STD_MSG);
	MOV	#1, W13
	MOV	#1056, W11
	MOV	#0, W12
	MOV	#3, W10
	MOV	#255, W0
	PUSH	W0
	MOV	#9, W0
	PUSH	W0
	CALL	_ECAN1SetFilter
	SUB	#4, W15
;dsPIC33EP_CAN.c,228 :: 		ECAN1SetOperationMode(_ECAN_MODE_NORMAL, 0xFF);  // set NORMAL mode
	MOV	#255, W11
	CLR	W10
	CALL	_ECAN1SetOperationMode
;dsPIC33EP_CAN.c,230 :: 		}
L_end_CAN_Init:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _CAN_Init
