#line 1 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for dsPIC Projects/dsPIC33EP_CAN_RXTX/dsPIC33EP_CAN.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for dspic/include/built_in.h"
#line 1 "c:/users/qme/documents/qmeelectronics/qmesoftwareprojects/mikroc for dspic projects/dspic33ep_can_rxtx/ecan_defs.h"
#line 13 "c:/users/qme/documents/qmeelectronics/qmesoftwareprojects/mikroc for dspic projects/dspic33ep_can_rxtx/ecan_defs.h"
typedef
 struct {
 struct {
 IDE : 1;
 SRR : 1;
 SID : 11;
 : 3;
 } CxTRBnSID;
 struct {
 EID17_6 : 12;
 : 4;
 } CxTRBnEID;
 struct {
 DLC : 4;
 RB0 : 1;
 : 3;
 RB1 : 1;
 RTR : 1;
 EID5_0 : 6;
 } CxTRBnDLC;
 struct d{
 char Data[8];
 } CxTRBnData;
 struct {
 : 8;
 FILHIT : 5;

 : 3;
 } CxTRBnSTAT;
 } __RxTxBuffer;
#line 57 "c:/users/qme/documents/qmeelectronics/qmesoftwareprojects/mikroc for dspic projects/dspic33ep_can_rxtx/ecan_defs.h"
unsigned dma ECAN1RamStartAddress = 0x4000;

__RxTxBuffer dma ECAN1RxTxRAMBuffer[ 16 ] absolute 0x4000;
#line 7 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for dsPIC Projects/dsPIC33EP_CAN_RXTX/dsPIC33EP_CAN.c"
 unsigned int Can_Init_Flags, Can_Send_Flags, Can_Rcv_Flags;
unsigned int RxDataLen;
unsigned int TxDataLen;
char RxData[8];
char TxData[8];
char Msg_Rcvd;
unsigned long RxID;
unsigned long TxID;

const unsigned long VREF = 3300;
unsigned char TimerInterruptCount;
unsigned int TemperatureRaw ;

 void mcu_Init(void);
 void CAN_Init(void);
 void CanWrite(void);
 void Delay_ms (unsigned int delay);

 void Timer1_Interrupt() iv IVT_ADDR_T1INTERRUPT ics ICS_AUTO
{
 TimerInterruptCount ++;
 IFS0bits.T1IF = 0;
}




 void CAN1_Interrupt() iv IVT_ADDR_C1INTERRUPT ics ICS_AUTO
{
 IFS2bits.C1IF = 0;
 if(C1INTFbits.TBIF)
 {
 C1INTFbits.TBIF = 0;
 LATD.B5 ^=1;





 }

 if(C1INTFbits.RBIF)
 {
 C1INTFbits.RBIF = 0;
 Msg_Rcvd = ECAN1Read(&RxID,RxData,&RxDataLen,&Can_Rcv_Flags);
 if(Msg_Rcvd!=0)
 {
 switch (RxID)
 {
 case 0x200 :
 LATD.B2 ^=1;
 break;
 case 0x311:
 LATD.B3 ^=1;
 break;
 case 0x420 :
 LATD.B4 ^=1;
 break;

 }
 }
 }
}



void main()
{
#line 79 "C:/Users/QME/Documents/QMEElectronics/QMESoftwareProjects/mikroC for dsPIC Projects/dsPIC33EP_CAN_RXTX/dsPIC33EP_CAN.c"
 PLLFBD = 68;
 CLKDIVbits.PLLPOST = 0;
 CLKDIVbits.PLLPRE = 0;
 OSCTUN = 0;



 mcu_Init();



 CAN_Init();



 ADC1_Init();




 while(1)
 {
 LATD.B1 ^=1;
 TemperatureRaw = ADC1_Get_Sample(0);
 CanWrite();
 Delay_ms(50);

 }
}

void CanWrite()
{
 TxData[0] = (TemperatureRaw & 0xFF);
 TxData[1] = (TemperatureRaw >> 8);
 TxData[2] = 0;
 TxData[3] = 0;
 TxData[4] = 0;
 TxData[5] = 0;
 TxData[6] = 0;
 TxData[7] = 0;
 TxDataLen = 8;
 TxID = 0x210;
 ECAN1Write(TxID,TxData,TxDataLen,Can_Send_Flags);

 TxData[0] = (0);
 TxData[1] = (0);
 TxData[2] = 0;
 TxData[3] = 0;
 TxData[4] = 0;
 TxData[5] = 0;
 TxData[6] = 0;
 TxData[7] = 0;
 TxDataLen = 8;
 TxID = 0x211;
 ECAN1Write(TxID,TxData,TxDataLen,Can_Send_Flags);
}



void Delay_ms (unsigned int delay)
{
 TimerInterruptCount = 0;
 T1CONbits.TCKPS0 = 1;
 T1CONbits.TCKPS1 = 0;
 PR1 = 0x22E1;
 IPC0bits.T1IP = 4;
 IEC0bits.T1IE = 1;
 T1CONbits.TON = 1;

 while (TimerInterruptCount < delay);
 T1CONbits.TON = 0;
}

void mcu_Init()
{
 TRISD = 0;
 LATD = 0;
}

void CAN_Init()
{
 const unsigned int SJW = 1;
 const unsigned int BRP = 14;
 const unsigned int PHSEG1 = 1;
 const unsigned int PHSEG2 = 2;
 const unsigned int PROPSEG = 6;



 ANSELA = 0x00;
 ANSELB = 0x01;
 ANSELC = 0x00;
 ANSELD = 0x00;
 ANSELE = 0x00;
 ANSELG = 0x00;



 Unlock_IOLOCK();
 PPS_Mapping_NoLock(113,_OUTPUT,_C1TX);
 PPS_Mapping_NoLock(112,_INPUT,_C1RX);
 Lock_IOLOCK();

 IFS0 = 0;
 IFS1 = 0;
 IFS2 = 0;
 IFS3 = 0;
 IFS4 = 0;



 IEC2bits.C1IE = 1;
 C1INTEbits.TBIE = 1;
 C1INTEbits.RBIE = 1;
 Can_Init_Flags = 0;
 Can_Send_Flags = 0;
 Can_Rcv_Flags = 0;

 Can_Send_Flags = _ECAN_TX_PRIORITY_0 &
 _ECAN_TX_STD_FRAME &
 _ECAN_TX_NO_RTR_FRAME;

 Can_Init_Flags = _ECAN_CONFIG_SAMPLE_THRICE &
 _ECAN_CONFIG_PHSEG2_PRG_ON &
 _ECAN_CONFIG_STD_MSG &
 _ECAN_CONFIG_MATCH_MSG_TYPE &
 _ECAN_CONFIG_LINE_FILTER_OFF;


 ECAN1DmaChannelInit(0,1,&ECAN1RxTxRAMBuffer);

 ECAN1DmaChannelInit(2,0,&ECAN1RxTxRAMBuffer);



 ECAN1Initialize(SJW,BRP,PHSEG1,PHSEG2,PROPSEG,Can_Init_Flags);
 ECAN1SetBufferSize( 16 );

 ECAN1SelectTxBuffers(0x000F);

 ECAN1SetOperationMode(_ECAN_MODE_CONFIG,0xFF);

 ECAN1SetMask(_ECAN_MASK_0, -1, _ECAN_CONFIG_MATCH_MSG_TYPE & _ECAN_CONFIG_STD_MSG);
 ECAN1SetMask(_ECAN_MASK_1, -1, _ECAN_CONFIG_MATCH_MSG_TYPE & _ECAN_CONFIG_STD_MSG);
 ECAN1SetMask(_ECAN_MASK_2, -1, _ECAN_CONFIG_MATCH_MSG_TYPE & _ECAN_CONFIG_STD_MSG);

 ECAN1SetFilter(_ECAN_FILTER_1,0x200,_ECAN_MASK_1,_ECAN_RX_BUFFER_7,_ECAN_CONFIG_STD_MSG);
 ECAN1SetFilter(_ECAN_FILTER_2,0x311,_ECAN_MASK_1,_ECAN_RX_BUFFER_8,_ECAN_CONFIG_STD_MSG);
 ECAN1SetFilter(_ECAN_FILTER_3,0x420,_ECAN_MASK_1,_ECAN_RX_BUFFER_9,_ECAN_CONFIG_STD_MSG);
 ECAN1SetOperationMode(_ECAN_MODE_NORMAL, 0xFF);

}
